// cvisionDlg.h : header file
//

#pragma once

#include "cxcore.h"
#include "colorprocessor.h"

// CcvisionDlg dialog
class CcvisionDlg : public CDialog
{
// Construction
public:
	CcvisionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_CVISION_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	IplImage *image;	// This is the image pointer (input)
	ColorProcessor processor;		// The image processor as an automatic variable

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnOpen();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnProcess();
};
